Get contract

The getContract operation enables you to view representations of your agreements with ICEYE in the form of contracts. A contract stores information regarding the validity of your agreement, its allowed values, and its defaults. Contracts are set by your ICEYE representative and grant you access to various aspects of the ICEYE Constellation API Suite (ICAS).

Contract types

Contracts can be created with or without a pricing model. A pricing model is a set of rules that govern the price of a task. Pricing model contracts enable visibility on how much you will spend and how much you have spent in a contract using the getTaskPrice and getSummary operations.

These operations do not represent returns or penalties and ICEYE has a separate process for invoicing.

Contract resource

These configurations are read-only. In case of any discrepancies, please reach out to your COSP representative.
Field Description

id

The unique contractID, specified as a UUID, that is used for tasking.

name

The distinguishable name to identify the purpose of the contract.

start, end

The timestamps between which you are allowed to submit tasks.

deliveryLocations

The method and location where delivery has been approved. Each entry has an id (the delivery location config ID for the method), a method (for example sftp or s3) and a path. For S3, path is the bucket name (for example DOC-EXAMPLE-BUCKET1). A method only appears here when your contract has at least one path configured for it.

For Tasking API v2, the sftp and s3 delivery methods are configured through these contract deliveryLocations. The entry id is the static config ID for the method (also returned by listDeliveryLocationConfigs). Other delivery configurations are managed with Delivery.

imagingModes.allowed

The imaging modes allowed to task with this contract.

imagingModeCapabilities

Per-imaging-mode capabilities detailing available product types. Each entry contains a mode identifier, and a productTypes object with allowed (all available product types) and slaApplicable (product types against which SLAs are measured). When you request products from the slaApplicable list, only the products you request are used for SLA measurement (e.g., if there are 3 slaApplicable products and you request 1, that 1 is used; if you request all 3, all 3 are used).

priority.allowed

The priorities allowed to task with this contract.

priority.default

The default priority used to task when not specified in the tasking request. This can be COMMERCIAL or BACKGROUND depending on what is allowed.

exclusivity.allowed

The exclusivities allowed to task with this contract.

exclusivity.default

The default exclusivity used to task when not specified in the tasking request. This can be PRIVATE or PUBLIC depending on what is allowed.

eula.allowed

The end user license agreement (EULA) values allowed to task with this contract.

eula.default

The default EULA used to task when not specified in the tasking request. This can be either GOVERNMENT or STANDARD depending on what is allowed.

sla.allowed

The service level agreement (SLA) values allowed to task with this contract.

sla.default

The default SLA used to task when not specified in the tasking request. This can be SLA_1H, SLA_3H, or SLA_8H depending on what is allowed.

catalog_collections.allowed

Catalog collections you can filter for when searching the catalog with the searchCatalogItems and listCatalogItems operations.

catalog_collections.default

The default collection searched by the searchCatalogItems and listCatalogItems operations.

hasPricingPlan

Whether a pricing plan is attached to this contract. When true, you can query pricing and budget information. When false, those operations are unavailable for the contract.

Defaults

Your contracts dictate the defaults that will be used for all optional fields not specified when tasking. These defaults are implied when you only have one allowed value and are manually set only when multiple values are allowed.
For example, if you can only task with PRIVATE exclusivity, then the default will be PRIVATE. On the other hand, if both PRIVATE and PUBLIC exclusivities are allowed, then your default is set by your COSP representative at the time of contract initiation.

When you omit productTypes in a tasking request, the slaApplicable products from your contract’s imagingModeCapabilities are used as the default.

You must keep track of our default to ensure you do not erroneously apply an incorrect default when tasking. To avoid this always specify parameters explicitly.

Example

Request

Enter the following curl command, remembering to replace the ${VARNAME} variables with the appropriate values:

curl --location "${API_BASE_URL}/api/company/v1/contracts/${contractID}" \
--header "Accept: application/json, application/problem+json" \
--header "Authorization: Bearer ${API_ACCESS_TOKEN}"

Response

On success, returns a 200 status code and a JSON object containing the details of the customer contracts.

{
  "id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXX",
  "name": "string",
  "start": "2019-08-24T14:15:22Z",
  "end": "2019-09-24T14:15:22Z",
  "imagingModes": {
    "allowed": [
      "SCAN",
      "SCAN_WIDE",
      "SPOTLIGHT",
      "SPOTLIGHT_FINE",
      "SPOTLIGHT_EXTENDED_DWELL_PRECISE",
      "SPOTLIGHT_EXTENDED_AREA",
      "SPOTLIGHT_EXTENDED_DWELL",
      "SPOTLIGHT_EXTENDED_DWELL_FINE",
      "STRIPMAP",
      "STRIPMAP_EXTENDED",
      "STRIPMAP_HIGH"
    ]
  },
  "imagingModeCapabilities": [
    {
      "mode": "SPOTLIGHT",
      "productTypes": {
        "allowed": ["SLC", "GRD", "QUICKLOOK"],
        "slaApplicable": ["SLC", "GRD"]
      }
    },
    {
      "mode": "SCAN",
      "productTypes": {
        "allowed": ["GRD", "QUICKLOOK"],
        "slaApplicable": ["GRD"]
      }
    },
    {
      "mode": "STRIPMAP",
      "productTypes": {
        "allowed": ["SLC", "GRD", "QUICKLOOK"],
        "slaApplicable": ["SLC", "GRD"]
      }
    }
  ],
  "priority": {
    "allowed": [
      "BACKGROUND"
    ],
    "default": "BACKGROUND"
  },
  "exclusivity": {
    "allowed": [
      "PUBLIC"
    ],
    "default": "PUBLIC"
  },
  "eula": {
    "allowed": [
      "STANDARD"
    ],
    "default": "STANDARD"
  },
  "sla": {
    "allowed": [
      "SLA_8H"
    ],
    "default": "SLA_8H"
  },
  "catalog_collections": {
    "allowed": [
      "public",
      "solutions"
    ],
    "default": "public"
  },
  "deliveryLocations": [
    {
      "id": "0000000d-e000-400c-800f-012345678901",
      "method": "sftp",
      "path": "folder1/"
    },
    {
      "id": "0000000e-e000-400c-800f-012345678901",
      "method": "s3",
      "path": "DOC-EXAMPLE-BUCKET1"
    }
  ],
  "hasPricingPlan": true
}